/*******************************************************************************
**
** Copyright 2013 Sony Corporation
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License, version 2.1, as published by the Free Software Foundation.
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
** Lesser General Public License for more details.
** You should have received a copy of the GNU Lesser General Public
** License along with this library; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
**
*******************************************************************************/

#ifndef FBMANAGERINTERFACE_H
#define FBMANAGERINTERFACE_H

#include <FrameBuffer.h>
#include <FBManagerStates.h>

class FBManager{
public:
    virtual void setCurrentState(FrameBufferManagerState * state) = 0;      // TODO: replace with setState(id)
    virtual FrameBufferManagerState* getAwaitingFBUpdateBMState() = 0;      // TODO: once above is done , this can be removed
    virtual FrameBufferManagerState* getIdleBMState() = 0;                  // TODO: once above is done , this can be removed
    virtual FrameBuffer * getFrameBufferByState(FB_STATE buffState) = 0;    //TODO: replace with isIdleBufferPresent()
    virtual void startWritingToIdleBuffer() = 0;
    virtual void onBufferNormalStateChange() = 0;
};

#endif // FBMANAGERINTERFACE_H
